//-----------------------------LICENSE NOTICE------------------------------------
//  This file is part of Jarlac
//  Copyright (C) 2018 Retrobytes Productions
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//------------------------------------------------------------------------------

#include <cpctelera.h>

#ifndef _MOVE_H_
#define _MOVE_H_

#include "../defines.h"
#include "../sprites/sprites.h"
#include "../entities/entities.h"
#include "../enemies/enemies.h"
#include "../entities/types.h"
#include "../video/draw.h"
#include "../init.h"
#include "collision.h"

#include "../sprites/tilemaps.h"

void changeHeartState(u8 state);
void moveHero(Entity *hero);
void moveEnemies(Entity *enemies, Entity *hero);
void killEnemy(Entity *enemy);

#endif
