//-----------------------------LICENSE NOTICE------------------------------------
//  This file is part of Jarlac
//  Copyright (C) 2018 Retrobytes Productions
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//------------------------------------------------------------------------------


#include <cpctelera.h>
#include "../text/text.h"
#include "../defines.h"
#include "../video/video.h"
#include "../video/draw.h"
#include "../sprites/tilemaps.h"
#include "../entities/move.h"
#include "../video/video.h"

#ifndef _KEYBOARD_H_
#define _KEYBOARD_H_

cpct_keyID esperaUnaTecla();
void waitKeyUp(cpct_keyID key);
cpct_keyID redefineKey(u8 *text);
void checkCommonKeys();
void checkKeyboardMenu();
void checkKeyboardGame(Entity *girl);

#endif
