//-----------------------------LICENSE NOTICE------------------------------------
//  This file is part of Jarlac
//  Copyright (C) 2018 Retrobytes Productions
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//------------------------------------------------------------------------------


#ifndef _SPRITES_H_
#define _SPRITES_H_

#include <types.h>
#include "../defines.h"

extern __at(0xB5F0) const u8 G_FX[282];
extern __at(0x0987) const u8 G_platform[96];
extern __at(0x9EF0) const u8 G_mago[256];
extern __at(0xADDD) const u8 G_brazo1[52];
extern __at(0xAE11) const u8 G_brazo2[52];
extern const u8 G_brazo3[52];
extern __at(0xA7D0) const u8 G_bola1[36];
extern const u8 G_bola2[36];

/****** FONTS *******/

extern __at(0xAE45) const u8 EXO_font[443];
extern __at(0xB500) const u8 G_numbers[10][6*4];

/****** END FONTS *******/

extern __at(0x8500) const u8 G_jarlac_parado1[256];
extern __at(0x8600) const u8 G_jarlac_parado2[256];
extern __at(0x8700) const u8 G_jarlac_anda1[256];
extern __at(0x8D00) const u8 G_jarlac_anda2[256];
extern __at(0x8E00) const u8 G_jarlac_anda3[256];
extern __at(0x8F00) const u8 G_jarlac_salto1[256];
extern __at(0x9500) const u8 G_jarlac_salto2[256];
extern __at(0x9600) const u8 G_jarlac_ataca1[256];
extern __at(0x9700) const u8 G_jarlac_ataca2[256];
extern __at(0x9D00) const u8 G_arana_drch1[128];
extern __at(0x9D80) const u8 G_arana_drch2[128];
extern __at(0x9E00) const u8 G_esqueleto1[240];
extern __at(0xA500) const u8 G_esqueleto2[240];
extern __at(0xA5F0) const u8 G_esqueleto_ataca1[240];
extern __at(0xA6E0) const u8 G_esqueleto_ataca2[240];
extern __at(0xAD00) const u8 G_destello_jarlac[63];
extern __at(0xAD3F) const u8 G_destello_esqueleto[30];
extern __at(0xAD5D) const u8 G_lava1[64];
extern __at(0xAD9D) const u8 G_lava2[64];
extern __at(0xB780) const u8 G_agua1[64];
extern __at(0xB7C0) const u8 G_agua2[64];
extern __at(0xBD00) const u8 G_volador1[105];
extern __at(0xBD69) const u8 G_volador2[105];
extern __at(0xBDD2) const u8 G_chochona1[232];
extern __at(0xBEBA) const u8 G_chochona2[232];
extern __at(0xBFA2) const u8 G_corazon[40];
extern __at(0xBFCA) const u8 G_daga1[50];
extern __at(0xBFFC) const u8 G_energy[3];
extern __at(0x9FF0) const u8 G_magic[3];
extern __at(0x9FF3) const u8 G_coron[2];
extern __at(0x9FF5) const u8 G_coroff[2];
extern const u8 G_daga2[50];
extern __at(0xB732) const u8 G_corazon_piedra[40];
extern __at(0xB70A) const u8 G_corazon_petit[40];
extern const u8 G_vapor1[126];
extern const u8 G_vapor2[126];
extern const u8 G_vapor3[126];
extern const u8 G_topo[138];

#endif
