//-----------------------------LICENSE NOTICE------------------------------------
//  This file is part of Jarlac
//  Copyright (C) 2018 Retrobytes Productions
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//------------------------------------------------------------------------------


#ifndef _TILEMAPS_H_
#define _TILEMAPS_H_

#include "../defines.h"
#include "../entities/types.h"
#include "../entities/entities.h"
#include "../exomizer/exomizer.h"
#include "../text/text.h"
#include "compressedMaps.h"

extern const Heart heartsList[MAX_HEARTS];
extern const u8 G_tiles[8 * 16];
extern const Room rooms[MAX_ROOMS];
extern const u8 G_currentMap[10 * 8];
extern u8* const G_levelMaps[MAX_ROOMS];

#endif
