//-----------------------------LICENSE NOTICE------------------------------------
//  This file is part of Jarlac
//  Copyright (C) 2018 Retrobytes Productions
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//------------------------------------------------------------------------------

#ifndef _EXOMIZER_H_
#define _EXOMIZER_H_

#include <cpctelera.h>
#include "../defines.h"


// Exomizer buffer
#define EXOBUFFER_ADDRESS 		0x0040
#define EXOBUFFER 				(u8*)EXOBUFFER_ADDRESS

#define G_JarlacMenu			(u8*)EXOBUFFER_ADDRESS //-> Creo que ocupa 2375
#define G_JarlacIngame			(u8*)EXOBUFFER_ADDRESS
#define G_JarlacIntro			(u8*)EXOBUFFER_ADDRESS 

#define NUMBER_ADDRESS EXOBUFFER_ADDRESS//240 bytes
#define G_number (u8*)NUMBER_ADDRESS

#define FONT_ADDRESS NUMBER_ADDRESS + (10 * 3 * 8) //648 bytes
#define G_font (u8*)FONT_ADDRESS

void decompress(u8* source, u8* target) __z88dk_callee __naked;

#endif
