//-----------------------------LICENSE NOTICE------------------------------------
//  This file is part of Jarlac
//  Copyright (C) 2018 Retrobytes Productions
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//------------------------------------------------------------------------------

#ifndef _GAME_H_
#define _GAME_H_

#include <cpctelera.h>
#include "defines.h"
#include "init.h"
#include "entities/types.h"
#include "entities/entities.h"
#include "entities/move.h"
#include "sprites/sprites.h"
#include "sound/music.h"
#include "keyboard/keyboard.h"
#include "text/text.h"
#include "video/draw.h"
#include "menu/menu.h"
#include "enemies/enemies.h"
#include "exomizer/exomizer.h"

extern const u8 G_graphics_palette[16]; //borrar

extern Keys keys;
extern u8 music;

void myInterruptHandler();
void menu();

#endif
