//-----------------------------LICENSE NOTICE------------------------------------
//  This file is part of Jarlac
//  Copyright (C) 2018 Retrobytes Productions
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//------------------------------------------------------------------------------

#include "menu.h"

void drawMenu(){

	u8 x;

	inMenu = TRUE;

	//Initialize Music

  	decompress((u8*)EXO_font, (u8*)NUMBER_ADDRESS);

	forceFrontBuffer(g_scrbuffers);
	clearGameScreen(SCR_VMEM);
	clearGameScreen(SCR_BUFF);

	drawText("1 KEYBOARD", 60, SCR_VMEM);
	drawText("2 JOYSTICK", 80, SCR_VMEM);
	drawText("3 PLAY    ", 100, SCR_VMEM);

	drawText("CODE TONI RAMIREZ", 0, SCR_BUFF);
	drawText("GRAPHICS ALXINHO", 20, SCR_BUFF);
	drawText("MUSIC JOSE A MARTIN", 40, SCR_BUFF);

	drawText("RETROBYTES PRODS 2018", 60, SCR_BUFF);

	//LOGO

	for(x=0;x<31;x++){

		cpct_memcpy(cpctm_screenPtr(SCR_VMEM, 24, x), cpctm_screenPtr(SCR_VMEM, 24, 200 - 39 + x), 32); 

    }

	decompress((u8*)EXO_JarlacMenu, (u8*)EXOBUFFER_ADDRESS);
	cpct_akp_musicInit(G_JarlacMenu);

	music = TRUE;

	cpct_setPalette(G_graphics_palette, 16);

}
